summaryrefslogtreecommitdiff
path: root/package/legacy
diff options
context:
space:
mode:
Diffstat (limited to 'package/legacy')
-rwxr-xr-xpackage/legacy23
1 files changed, 23 insertions, 0 deletions
diff --git a/package/legacy b/package/legacy
new file mode 100755
index 0000000..3acee1d
--- /dev/null
+++ b/package/legacy
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+shout() { echo "$0: $@" >&2; }
+barf() { shout "fatal: $@"; exit 111; }
+safe() { "$@" || barf "cannot $@"; }
+
+here=`env - PATH=$PATH pwd`
+
+safe umask 022
+[ -d package ] || barf "no package directory"
+[ -d src ] || barf "no src directory"
+[ -d compile ] || barf "no compile directory"
+
+safe cd compile
+
+[ -f install ] && safe ./install
+[ -f instcheck ] && safe ./instcheck
+
+safe cd $here
+
+shout "s/qmail binary files installed in `head -n 1 conf-home`/bin."
+
+exit 0